-----------------------------------------------------------------
-- Oracle-XML-Demo von Dr. Can Trker, Januar 2004
-----------------------------------------------------------------

SET FEEDBACK 1
SET ECHO ON
SET LONG 8000

-----------------------------------------------------------------
-- 
-----------------------------------------------------------------

DROP TABLE R;

CREATE TABLE R (A1 INT, A2 VARCHAR(10), A3 CHAR(1));

INSERT INTO R VALUES (2,'Kim','t');
INSERT INTO R VALUES (2,'Dad','f');
INSERT INTO R VALUES (3,'Joe','t');

DROP TABLE NF2Table;
DROP TYPE AtypTabelle;

CREATE OR REPLACE TYPE Atyp AS OBJECT (A2 VARCHAR(10), A3 CHAR(1));
/

CREATE OR REPLACE TYPE AtypTabelle AS TABLE OF Atyp;
/  

CREATE TABLE NF2Table (A1, A23) NESTED TABLE A23 STORE AS A23 AS
SELECT A1, CAST(MULTISET(SELECT A2, A3 FROM R WHERE A1 = r1.A1) AS AtypTabelle) AS A23 FROM R r1 GROUP BY A1;

SELECT * FROM NF2Table;

SELECT A1, A23.A2, A23.A3 FROM NF2Table, TABLE(A23) A23;

--SELECT distinct A1, cursor(SELECT A2, A3 FROM R WHERE A1 = r1.A1) FROM R r1;
